
package com.ejie.ab61.clientesWS.X43TareasTramitacion;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TMessageType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TMessageType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Task"/>
 *     &lt;enumeration value="Alert"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "TMessageType")
@XmlEnum
public enum TMessageType {

    @XmlEnumValue("Task")
    TASK("Task"),
    @XmlEnumValue("Alert")
    ALERT("Alert");
    private final String value;

    TMessageType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TMessageType fromValue(String v) {
        for (TMessageType c: TMessageType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
